#pragma once
class CVCDemoDlg;

// CLoginDlg 对话框

class CLoginDlg : public CDialog
{
	DECLARE_DYNAMIC(CLoginDlg)

public:
	CLoginDlg(CWnd* pParent = NULL);   // 标准构造函数
	virtual ~CLoginDlg();

// 对话框数据
	enum { IDD = IDD_DIALOG1 };

protected:
	virtual void DoDataExchange(CDataExchange* pDX);    // DDX/DDV 支持

	DECLARE_MESSAGE_MAP()
public:
	afx_msg void OnBnClickedStartlogin();
	int m_HaveLogin;
	CVCDemoDlg * m_parent;
public:
	virtual BOOL OnInitDialog();


	///云台控制权限
	int nPTZRight;

	///设备维护权限
	int nDevMNGRight;

	///录像查询
	int nCONMNGRight;

	///实时视频查看
	int nSURVEILRight;

	///用户管理权限
	int nUSRMNGRight;

	///视频回放权限
	int nVideoReplayRight;

	///音频控制权限,音频对讲
	int nAudioControlRight;

	///音频广播权限
	int nBCControlRight;

	///电视墙
	int nTVWallRight;

	///告警管理权限
	int nAlarmMngRight;

	///录像删除
	int nContentDeleteRight;

};
